# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.apt
Class DataAnnotationProcessorFactory

    java.lang.Object
      com.google.gdata.data.apt.DataAnnotationProcessorFactory

    public class DataAnnotationProcessorFactory

extends java.lang.Object

The DataAnnotationProcessFactory class supports auto-generation of metadata about GData Kind data model classes. Generation is handled by implementing the `AnnotationProcessor` interfaces defined for the Sun Annotation Processing Tool (APT).

The processing can be extended later for any other data-model related annotation usage.

Constructor Summary
`DataAnnotationProcessorFactory()`

Method Summary
`AnnotationProcessor` `getProcessorFor(java.util.Set<AnnotationTypeDeclaration> atds, AnnotationProcessorEnvironment env)`
`java.util.Collection<java.lang.String>` `supportedAnnotationTypes()`
`java.util.Collection<java.lang.String>` `supportedOptions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataAnnotationProcessorFactory

    public DataAnnotationProcessorFactory()

Method Detail

### supportedOptions

    public java.util.Collection<java.lang.String> supportedOptions()

### supportedAnnotationTypes

    public java.util.Collection<java.lang.String> supportedAnnotationTypes()

### getProcessorFor

    public AnnotationProcessor getProcessorFor(java.util.Set<AnnotationTypeDeclaration> atds,
                                               AnnotationProcessorEnvironment env)